# coding: utf-8

"""
    Dockstore API

    This describes the dockstore API, a webservice that manages pairs of Docker images and associated metadata such as CWL documents and Dockerfiles used to build those images. Explore swagger.json for a Swagger 2.0 description of our API and explore openapi.yaml for OpenAPI 3.0 descriptions.  # noqa: E501

    OpenAPI spec version: 1.12.0-alpha.1-SNAPSHOT
    Contact: theglobalalliance@genomicsandhealth.org
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import unittest

import jgreenepack
from jgreenepack.jgreenepack.api.users_api import UsersApi  # noqa: E501
from jgreenepack.rest import ApiException


class TestUsersApi(unittest.TestCase):
    """UsersApi unit test stubs"""

    def setUp(self):
        self.api = jgreenepack.jgreenepack.api.users_api.UsersApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_add_user_to_dockstore_workflows(self):
        """Test case for add_user_to_dockstore_workflows

        Adds a user to any Dockstore workflows that they should have access to.  # noqa: E501
        """
        pass

    def test_change_username(self):
        """Test case for change_username

        Change username if possible.  # noqa: E501
        """
        pass

    def test_check_user_exists(self):
        """Test case for check_user_exists

        Check if user with some username exists.  # noqa: E501
        """
        pass

    def test_get_extended_user_data(self):
        """Test case for get_extended_user_data

        Get additional information about the authenticated user.  # noqa: E501
        """
        pass

    def test_get_my_git_hub_orgs(self):
        """Test case for get_my_git_hub_orgs

        """
        pass

    def test_get_specific_user(self):
        """Test case for get_specific_user

        Get user by id.  # noqa: E501
        """
        pass

    def test_get_starred_organizations(self):
        """Test case for get_starred_organizations

        Get the authenticated user's starred organizations.  # noqa: E501
        """
        pass

    def test_get_starred_services(self):
        """Test case for get_starred_services

        Get the authenticated user's starred services.  # noqa: E501
        """
        pass

    def test_get_starred_tools(self):
        """Test case for get_starred_tools

        Get the authenticated user's starred tools.  # noqa: E501
        """
        pass

    def test_get_starred_workflows(self):
        """Test case for get_starred_workflows

        Get the authenticated user's starred workflows.  # noqa: E501
        """
        pass

    def test_get_user(self):
        """Test case for get_user

        Get the logged-in user.  # noqa: E501
        """
        pass

    def test_get_user_dockstore_organizations(self):
        """Test case for get_user_dockstore_organizations

        See OpenApi for details  # noqa: E501
        """
        pass

    def test_get_user_entries(self):
        """Test case for get_user_entries

        See OpenApi for details  # noqa: E501
        """
        pass

    def test_get_user_git_hub_events(self):
        """Test case for get_user_git_hub_events

        See OpenApi for details  # noqa: E501
        """
        pass

    def test_get_user_limits(self):
        """Test case for get_user_limits

        Returns the specified user's limits. ADMIN or CURATOR only  # noqa: E501
        """
        pass

    def test_get_user_memberships(self):
        """Test case for get_user_memberships

        Get the logged-in user's memberships.  # noqa: E501
        """
        pass

    def test_get_user_organization_repositories(self):
        """Test case for get_user_organization_repositories

        See OpenApi for details  # noqa: E501
        """
        pass

    def test_get_user_organizations(self):
        """Test case for get_user_organizations

        See OpenApi for details  # noqa: E501
        """
        pass

    def test_get_user_registries(self):
        """Test case for get_user_registries

        See OpenApi for details  # noqa: E501
        """
        pass

    def test_get_user_tokens(self):
        """Test case for get_user_tokens

        Get information about tokens with user id.  # noqa: E501
        """
        pass

    def test_list_user(self):
        """Test case for list_user

        Get a user by username.  # noqa: E501
        """
        pass

    def test_refresh_tools_by_organization(self):
        """Test case for refresh_tools_by_organization

        Refresh all tools owned by the authenticated user with specified organization.  # noqa: E501
        """
        pass

    def test_self_destruct(self):
        """Test case for self_destruct

        Delete user if possible.  # noqa: E501
        """
        pass

    def test_set_user_limits(self):
        """Test case for set_user_limits

        Update the specified user's limits. ADMIN or CURATOR only  # noqa: E501
        """
        pass

    def test_sync_user_with_git_hub(self):
        """Test case for sync_user_with_git_hub

        Syncs Dockstore account with GitHub App Installations.  # noqa: E501
        """
        pass

    def test_terminate_user(self):
        """Test case for terminate_user

        Terminate user if possible.  # noqa: E501
        """
        pass

    def test_update_logged_in_user_metadata(self):
        """Test case for update_logged_in_user_metadata

        Update metadata for logged in user.  # noqa: E501
        """
        pass

    def test_update_user_metadata(self):
        """Test case for update_user_metadata

        Update metadata of all users.  # noqa: E501
        """
        pass

    def test_user_containers(self):
        """Test case for user_containers

        List all tools owned by the authenticated user.  # noqa: E501
        """
        pass

    def test_user_published_containers(self):
        """Test case for user_published_containers

        List all published tools from a user.  # noqa: E501
        """
        pass

    def test_user_published_workflows(self):
        """Test case for user_published_workflows

        List all published workflows from a user.  # noqa: E501
        """
        pass

    def test_user_services(self):
        """Test case for user_services

        List all services owned by the authenticated user.  # noqa: E501
        """
        pass

    def test_user_workflows(self):
        """Test case for user_workflows

        List all workflows owned by the authenticated user.  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
